Bug 216434 - unnamespaced global symbols in libgmime
unnamespaced global symbols in libgmime
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gmime (Show other bugs)
6
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alexander Larsson
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks: 216170
  Show dependency treegraph
 
Reported: 2006-11-20 08:47 EST by Joe Orton
Modified: 2008-05-06 12:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 12:52:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Orton 2006-11-20 08:47:01 EST
Description of problem:
There are a bunch of unnamespaced global symbols in libgime:

41032c00 T cache_expire_unused
41032d90 T cache_free
41032df0 T cache_new
41032ba0 T cache_node_expire
41032d00 T cache_node_insert
41032c90 T cache_node_lookup
410329b0 T decode_addrspec
41031420 T decode_lwsp
410316c0 T decode_word
410319c0 T internet_address_add_member
...
41031580 T internet_address_unref
410335c0 T list_append_node
410334e0 T list_init
41033500 T list_is_empty
41033520 T list_length
410335e0 T list_node_unlink
410335a0 T list_prepend_node
41033540 T list_unlink_head
41033570 T list_unlink_tail
41034130 T md5_final
410344d0 T md5_get_digest
410343f0 T md5_get_digest_from_file
41033640 T md5_init
41034270 T md5_update
41034850 T memchunk_alloc
410348e0 T memchunk_alloc0
...

Version-Release number of selected component (if applicable):
gmime-2.2.3-3.fc6.i386

This leads to the following global symbol collisions:

Clashes for /usr/lib/libgmime-2.0.so.2.2.3:
  with /usr/lib/libkopete_oscar.so.2.0.0 => md5_init
  with /usr/lib/httpd/modules/mod_mem_cache.so => cache_free
  with /usr/lib/libwireshark.so.0.0.1 => md5_init
  with /usr/lib/libedataserver-1.2.so.7.1.0 => md5_init md5_get_digest (...1
symbols omitted...) md5_get_digest_from_file
  with /usr/lib/libgs.so.8.15 => md5_init
Comment 1 Bug Zapper 2008-04-04 00:48:26 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 2 Bug Zapper 2008-05-06 12:52:31 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.